Redmine - Defect #33186

field_activity should be used rather than label_activity in the context of time tracking
2020-03-23 15:41 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: 118n Estimated time: 0.00 hour
Target version: 4.2.0

Resolution: Fixed Affected version:

Description

Redmine has two i18n labels for the word "Activity", label_activity and field_activity. Of them, field_activity is used in the context of
time tracking.

However, in some places, label_activity is incorrectly used in the context of time tracking. This causes inconsistent screen display
such as Japanese, Korean, Russian because those languages assigns different translations for label_activity and field_activity as
follows:

$ egrep ' (label|field)_activity' config/locales/ja.yml
field_activity: 0000
label_activity: [0l

$ egrep ' (label|field)_activity' config/locales/ko.yml
field_activity: 0000
label_activity: 0000

$ egrep ' (label|field)_activity' config/locales/ru.yml
field_activity: [edTenbHOCTb
label_activity: HOeucTBud

The attached patch replaces label_activity used in the context of the time tracking with field_activity.
Associated revisions

Revision 19619 - 2020-03-26 06:58 - Go MAEDA
Use field_activity rather than label_activity in the context of time tracking (#33186).

Patch by Go MAEDA.

History

#1 - 2020-03-24 14:02 - Go MAEDA

- Target version set to 4.2.0

Setting the target version to 4.2.0.

#2 - 2020-03-26 07:00 - Go MAEDA

- Subject changed from label_activity is incorrectly used instead of field_activity in the context of time tracking to field_activity should be used rather
than label_activity in the context of time tracking

- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch.
